
QGIS Application - Bug report #6433

Can not use the "entity manager OSM" when I load OSM data from a file on my computer.

2012-09-28 09:15 AM - Sefein TABCHI

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 15676

Description

Data are loaded, polygons, lines and points appear in the viewer, but the entity manager does not work and an error message appears.

@Une erreur est apparue lors de l'exécution du code python :

Traceback (most recent call last):

  File "C:/PROGRA~1/Quantum GIS Lisboa/apps/qgis/./python/plugins\\osm\\OsmPlugin.py", line 209, in loadOsmFromFile

    self.dbm.addDatabase(self.dbFileName,self.dlgLoad.pointLayer,self.dlgLoad.lineLayer,self.dlgLoad.polygonLayer)

  File "C:/PROGRA~1/Quantum GIS Lisboa/apps/qgis/./python/plugins\\osm\\OsmDatabaseManager.py", line 212, in addDatabase

    self.dbConns[key]=sqlite3.connect(key)

OperationalError: unable to open database file

Version de Python :

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

Version de QGIS :

1.8.0-Lisboa Lisboa, 6416f38

Chemin vers Python : ['C:/PROGRA~1/Quantum GIS Lisboa/apps/qgis/./python', 'C:/Users/xxxx/.qgis//python',

'C:/Users/xxxx/.qgis//python/plugins', 'C:/PROGRA~1/Quantum GIS Lisboa/apps/qgis/./python/plugins', 'C:\\\\Program

Files\\\\ArcGIS\\\\bin', 'C:\\\\PROGRA~1\\\\Quantum GIS Lisboa\\\\bin\\\\python27.zip', 'C:\\\\PROGRA~1\\\\Quantum GIS

Lisboa\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\PROGRA~1\\\\Quantum GIS Lisboa\\\\apps\\\\Python27\\\\lib', 'C:\\\\PROGRA~1\\\\Quantum GIS

Lisboa\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\PROGRA~1\\\\Quantum GIS Lisboa\\\\apps\\\\Python27\\\\lib\\\\lib-tk',

'C:\\\\PROGRA~1\\\\Quantum GIS Lisboa\\\\apps\\\\qgis\\\\bin', 'C:\\\\PROGRA~1\\\\Quantum GIS Lisboa\\\\apps\\\\Python27',

'C:\\\\PROGRA~1\\\\Quantum GIS Lisboa\\\\apps\\\\Python27\\\\lib\\\\site-packages', 'C:\\\\PROGRA~1\\\\Quantum GIS

Lisboa\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL', 'C:\\\\PROGRA~1\\\\Quantum GIS

Lisboa\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32', 'C:\\\\PROGRA~1\\\\Quantum GIS

Lisboa\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib', 'C:\\\\PROGRA~1\\\\Quantum GIS

Lisboa\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin', 'C:\\\\PROGRA~1\\\\Quantum GIS

Lisboa\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\Users\\\\xxxx\\\\.qgis\\\\python\\\\plugins\\\\QuickMultiAttributeEdit/forms', 'C:\\\\PROGRA~1\\\\Quantum GIS

Lisboa\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools']@

History

#1 - 2012-10-06 02:10 AM - Pirmin Kalberer

- Target version changed from Version 1.8.0 to Version 2.0.0

#2 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority
#3 - 2016-01-20 01:49 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

is this bug still valid in QGIS 2.13 master (and 2.12.3) ?

Now, OSM is in core and is C++. I don't find any occurence of this bug when I use the OSM dialog boxes.

Can someone else confirm ?

#4 - 2016-04-09 11:41 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback. Please reopen if necessary.
